Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Signal.cpp File Reference

`#include "ace/Recursive_Thread_Mutex.h"`
`#include "ace/Signal.h"`
`#include "ace/Object_Manager.h"`
`#include "ace/Log_Msg.h"`
`#include "ace/Containers.h"`
`#include "ace/Guard_T.h"`

Include dependency graph for Signal.cpp:

## Classes
class | ACE_Sig_Handlers_Set
## Defines
#define | ace_signal_handler_dispatcher ACE_SignalHandler(ACE_Sig_Handler::dispatch)
#define | ace_signal_handlers_dispatcher ACE_SignalHandler(ACE_Sig_Handlers::dispatch)
#define | ACE_MAX_SIGNAL_HANDLERS ((size_t) 20)
## Typedefs
typedef ACE_Fixed_Set< ACE_Event_Handler *, ACE_MAX_SIGNAL_HANDLERS > | ACE_SIG_HANDLERS_SET
typedef ACE_Fixed_Set_Iterator< ACE_Event_Handler *, ACE_MAX_SIGNAL_HANDLERS > | ACE_SIG_HANDLERS_ITERATOR

## Define Documentation

#define ACE_MAX_SIGNAL_HANDLERS ((size_t) 20)

#define ace_signal_handler_dispatcher ACE_SignalHandler(ACE_Sig_Handler::dispatch)

#define ace_signal_handlers_dispatcher ACE_SignalHandler(ACE_Sig_Handlers::dispatch)

## Typedef Documentation

typedef ACE_Fixed_Set_Iterator<ACE_Event_Handler *, ACE_MAX_SIGNAL_HANDLERS> ACE_SIG_HANDLERS_ITERATOR

typedef ACE_Fixed_Set<ACE_Event_Handler *, ACE_MAX_SIGNAL_HANDLERS> ACE_SIG_HANDLERS_SET